#ifdef WIN32
#pragma warning (disable : 4503)
#endif

#include "Fine_type.h"

//#ifdef WIN32
//#pragma warning(disable : 4786)
//#endif

#include "Fine_type_impl.h"

namespace MM
{

bool Fine_type::
exist (char const* name)
{
    return Fine_type_impl::singleton().handle_exist (name);
}

int Fine_type::
id (char const* name)
{
    return Fine_type_impl::singleton().handle_id (name);
}

char const* Fine_type::
name (int id)
{
    return Fine_type_impl::singleton().handle_name (id);
}


char const * Fine_type::
to (char const * fine_type, char const * in, double * charge)
{
    return Fine_type_impl::singleton().handle_to (fine_type, in, charge);
}

void Fine_type::
map (char const * fine_type, char const * mm_type, double charge,
     char const * in)
{
    Fine_type_impl::singleton().handle_map (fine_type, mm_type, charge, in);
}

void Fine_type::
force_field_list (Array <Text> & list)
{
    Fine_type_impl::singleton().handle_force_field_list (list);
}


void Fine_type::
add (char const* name)
{
    Fine_type_impl::singleton().handle_add (name);
}

/*void Fine_type::
erase (int id)
{
    Fine_type_impl::singleton().handle_erase (id);
}

void Fine_type::
erase (char const* name)
{
    Fine_type_impl::singleton().handle_erase (name);
}//*/

}//MM




